@import '../_color.scss';

._login {
  height: 100%;
  padding: 30px;
}

.singout {
  cursor: pointer;
  transition: opacity 0.3s ease-out, transform 0.2s ease-out;

  &:hover {
    opacity: 0.6;
  }

  &:active {
    transform: translateY(2px);
  }
}

._login-container {
  color: $white1;
  box-shadow: 0 10px 25px 1px $gray3;
  border-radius: 30px;
}

.login-head {
  border-top-left-radius: 30px;
  border-top-right-radius: 30px;
  padding: 30px;
  padding-top: 40px;
  text-align: center;

  span {
    padding: 5px 0;
    color: $blue1;
    box-shadow: 0 2px 0 0 $red1;

  }
}

.login-form {
  padding: 10px 30px;

  label {
    color: $dark1;
  }

  input[type=password],
  input[type=text] {
    padding: 10px 15px;
    border-radius: 30px;
    margin-bottom: 10px;
    transition: border 0.3s ease-out;

    &:hover {
      border: 1px solid rgba($blue1, $alpha: 0.5);
    }

    &:focus {
      box-shadow: none;
      border: 1px solid $blue1;
    }
  }
}

.login-submit,
.track-submit {
  border-bottom-left-radius: 30px;
  border-bottom-right-radius: 30px;
  padding: 0px 30px 50px 30px;

  button {
    border: none;
    padding: 15px 30px;
    border-radius: 30px;
    background: linear-gradient(-45deg, $red2 30%, $red1);
    transition: box-shadow 0.3s ease-out, transform 0.2s ease-out;

    &:hover {
      box-shadow: 0 0 0 3px rgba($red1, $alpha: 0.3);
    }

    &:active,
    &:focus {
      box-shadow: none;
      transform: translateY(2px)
    }
  }
}